# OctetSeqA.cpp File Reference

`#include "OctetSeqC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for OctetSeqA.cpp:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode
namespace | CORBA

## Functions

void | operator<<= (CORBA::Any &_tao_any, const CORBA::OctetSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::OctetSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::OctetSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::OctetSeq *&_tao_elem)

## Variables

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_OctetSeq_0 (CORBA::tk_sequence,&CORBA::_tc_octet, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_OctetSeq_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_OctetSeq (CORBA::tk_alias,"IDL:omg.org/CORBA/OctetSeq:1.0","OctetSeq",&TAO::TypeCode::tc_CORBA_OctetSeq_0)
::CORBA::TypeCode_ptr const | _tc_OctetSeq

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::OctetSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::OctetSeq & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::OctetSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::OctetSeq *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_OctetSeq(CORBA::tk_alias,"IDL:omg.org/CORBA/OctetSeq:1.0","OctetSeq",&TAO::TypeCode::tc_CORBA_OctetSeq_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_OctetSeq

Initial value:

        &_tao_tc_CORBA_OctetSeq

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_OctetSeq_0(CORBA::tk_sequence,&CORBA::_tc_octet, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_OctetSeq_0

Initial value:

          &CORBA_OctetSeq_0